Plugins API documentation: Interface AuditPlugin

Overview | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.togethersoft.modules.qa.api
Interface AuditPlugin

All Superinterfaces:
  Plugin

All Known Implementing Classes:
  AuditPluginImpl

public interface AuditPlugin
extends Plugin

Field Summary
`static java.lang.String` | `SEVERITY_HIGH` specifies that severity is high
`static java.lang.String` | `SEVERITY_LOW` specifies that severity is low
`static java.lang.String` | `SEVERITY_NORMAL` specifies that severity is normal

Method Summary
`java.lang.String` | `getDefaultSeverity()` Gets default severity for plugin (SEVERITY_LOW, SEVERITY_NORMAL or SEVERITY_HIGH)
`boolean` | `run(com.togethersoft.openapi.sci.SciObject obj)` Plugin entry point.

Methods inherited from interface com.togethersoft.modules.qa.api.Plugin
`canProcessByteCode, createOptionsPane, getAbbreviation, getDefaultChoice, getDescriptionFileName, getGroupName, getOptionsPane, getPropertiesFileName, getTitle, load, prepare, restoreOptions, storeOptions`

Field Detail

### SEVERITY_LOW

    public static final java.lang.String SEVERITY_LOW

  specifies that severity is low

### SEVERITY_NORMAL

    public static final java.lang.String SEVERITY_NORMAL

  specifies that severity is normal

### SEVERITY_HIGH

    public static final java.lang.String SEVERITY_HIGH

  specifies that severity is high

Method Detail

### run

    public boolean run(com.togethersoft.openapi.sci.SciObject obj)

  Plugin entry point. It is invoked for every package and every class selected in diagram as well as for each their subpackage and subclass.
  Parameters:
    `obj` - Source Code Interface object to process If returns `false`, further processing is stopped.
  Returns:
    `true` to proceed further objects, otherwise `false`

### getDefaultSeverity

    public java.lang.String getDefaultSeverity()

  Gets default severity for plugin (SEVERITY_LOW, SEVERITY_NORMAL or SEVERITY_HIGH)
  Returns:
    default severity
  See Also:
    `SEVERITY_LOW`, `SEVERITY_NORMAL`, `SEVERITY_HIGH`

Overview | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD